SAXNotRecognizedException (Java SE 12 & JDK 12 )
Keywords: org.xml.sax.SAXNotRecognizedException class

Module java.xml
Package org.xml.sax

## Class SAXNotRecognizedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.xml.sax.SAXException
      - - org.xml.sax.SAXNotRecognizedException

- All Implemented Interfaces:
    `Serializable`

      public class SAXNotRecognizedException
      extends SAXException

  Exception class for an unrecognized identifier.

  > This module, both source code and documentation, is in the Public Domain, and comes with NO WARRANTY. See http://www.saxproject.org for further information.

  An XMLReader will throw this exception when it finds an unrecognized feature or property identifier; SAX applications and extensions may use this class for other, similar purposes.

  Since:
    1.4, SAX 2.0
  See Also:
    `SAXNotSupportedException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SAXNotRecognizedException()` | Default constructor.
    `SAXNotRecognizedException​(String message)` | Construct a new exception with the given message.

  - ### Method Summary

    - ### Methods declared in class org.xml.sax.SAXException

      `getCause, getException, getMessage, toString`

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SAXNotRecognizedException

          public SAXNotRecognizedException()

      Default constructor.

    - #### SAXNotRecognizedException

          public SAXNotRecognizedException​(String message)

      Construct a new exception with the given message.
      Parameters:
        `message` - The text message of the exception.